<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
CU-NP-FA-208 Clasificar manzanas y áreas para levantamiento topográfico y ordenar ajustes
@MB: ClasificacionManzanasYAreasParaLevantamientoTopograficoMB
@author: lorena.salamanca
@modified: andres.eslava::07-11-2012::funcionalidad contra modelo y geoservicio  
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Clasificar manzanas y áreas para levantamiento topográfico::.
    </ui:define>

    <ui:define name="content">
        <ui:remove>
            <h:outputScript library="javascript" name="snc_visor_client.js" target="head" />
            <h:outputStylesheet library="css" name="snc_visor_client.css" />
            <p:ajaxStatus onstart="statusDialog.show();"
                          onsuccess="statusDialog.hide();" 
                          onerror="statusDialog.hide();" />        
        </ui:remove>
        <h:form id="manzanasAreasSIGForm"> 
            <p:messages id="msgsAP" showDetail="true" />

            <h:panelGrid columns="2">
                <h:outputLabel  value="Responsable SIG"
                                styleClass="outputLabelStyle" />                            
                <h:selectOneMenu  id="responsablesSigMenu" 
                                  disabled="#{clasificarManzanasYAreasParaLevantamientoTopografico.banderaResponsableSig}"
                                  value="#{clasificarManzanasYAreasParaLevantamientoTopografico.codigoResponsableSIG}">
                    <f:selectItem itemValue="" itemLabel="Seleccionar"/>
                    <f:selectItems value="#{clasificarManzanasYAreasParaLevantamientoTopografico.responsablesSig}" />
                </h:selectOneMenu>                            
            </h:panelGrid>

            <p:tabView dynamic="true"  id="manzanasAreasSIGTabView" >
                <p:ajax event="tabChange" listener="#{clasificarManzanasYAreasParaLevantamientoTopografico.cambioTab}" update="manzanasLevantamiento"/> 
                <p:tab title="Manzanas y áreas para SIG">   

                    <ui:remove>
                        <h:inputHidden id="paramSeleccionPrediosActualizacion" 
                                       value="#{clasificarManzanasYAreasParaLevantamientoTopografico.valorSeleccionManzanas}" />
                        <h:inputHidden id="paramIsRuralCU208" 
                                       value="#{clasificarManzanasYAreasParaLevantamientoTopografico.flagEsRural}" />
                        <h:inputHidden id="codigoManzanasHidden666" 
                                       value="#{clasificarManzanasYAreasParaLevantamientoTopografico.manzanasSeleccionadasVisor}" />
                        <p:commandLink id="linkAdicionarManzanasASeleccionados666"
                                       process="@this, codigoManzanasHidden666"
                                       style="visibility: hidden" />
                    </ui:remove>
                    <p:fieldset>                       
                        <h:panelGrid columns="1">
                            <h:outputLabel value="Manzanas para ajuste"	styleClass="outputLabelStyle" />
                            <p:spacer height="20" width="0" />                            
                        </h:panelGrid>
                        <h:panelGrid columns="2">                            
                            <h:outputLabel value="Manzanana inicial"/>
                            <h:outputLabel value="Manzanana final"/>                            
                            <h:panelGroup id="nPredial1"  >
                                <h:inputText id="s1p1"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS1}"
                                             size="1" maxlength="2" title="Departamento"/>
                                <h:inputText id="s2p1"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS2}"
                                             size="3" maxlength="3" title="Municipio" />
                                <h:inputText id="s3p1"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS3}"
                                             size="2" maxlength="2" title="Zona" />
                                <h:inputText id="s4p1"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS4}"
                                             size="2" maxlength="2" title="Sector" />
                                <h:inputText id="s5p1"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS5}"
                                             size="2" maxlength="2" title="Comuna" />
                                <h:inputText id="s6p1"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS6}"
                                             size="2" maxlength="2" title="Barrio"/>
                                <h:inputText id="s7p1"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS7}"
                                             size="4" maxlength="4" title="Manzana o vereda"/>                                                
                            </h:panelGroup> 


                            <h:panelGroup id="nPredial2" >
                                <h:inputText id="s1p2"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS1}"
                                             size="1" maxlength="2" title="Departamento" />
                                <h:inputText id="s2p2"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS2}"
                                             size="3" maxlength="3" title="Municipio" />
                                <h:inputText id="s3p2"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS3}"
                                             size="2" maxlength="2" title="Zona" />
                                <h:inputText id="s4p2"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS4}"
                                             size="2" maxlength="2" title="Sector" />
                                <h:inputText id="s5p2"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS5}"
                                             size="2" maxlength="2" title="Comuna"/>
                                <h:inputText id="s6p2"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS6}"
                                             size="2" maxlength="2" title="Barrio" />
                                <h:inputText id="s7p2"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS7}"
                                             size="4" maxlength="4" title="Manzana o vereda"/>                
                            </h:panelGroup>

                            <p:commandButton value="Buscar" icon="ui-icon-search"                                              
                                             action="#{clasificarManzanasYAreasParaLevantamientoTopografico.buscarManzanasPorRango}"                                                                                                                                                                                    
                                             oncomplete="visorRangoDeManzanas.show()"
                                             process="@this,nPredial1,nPredial2"
                                             update="nPredial2">
                            </p:commandButton >
                        </h:panelGrid>   

                        <p:spacer height="20"/>

                        <h:panelGrid width="60%">
                            <p:dataTable                                
                                value="#{clasificarManzanasYAreasParaLevantamientoTopografico.manzanasMunicipio}"
                                var="manzanaVar" id="infoTable" paginator="true" rows="10"
                                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                rowKey="#{manzanaVar.codigo}" emptyMessage="No se encontraron trámites"
                                selection="#{clasificarManzanasYAreasParaLevantamientoTopografico.manzanasSeleccionadas}"
                                style="width:100% ">

                                <p:column selectionMode="multiple" />

                                <p:column headerText="Manzanas / Áreas">
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{manzanaVar.codigo}">
                                    </h:outputText>
                                </p:column>
                            </p:dataTable>

                            <p:commandButton value=" Mostrar selección" id="verMapa"
                                             widgetVar="verMapaVar" immediate="true" type="button"
                                             icon="ui-icon-image"
                                             onclick="cargarMapaZoomToFeature('#{clasificarManzanasYAreasParaLevantamientoTopografico.applicationClientName}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.tokenParam}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.moduleLayer}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.moduleTools}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.manzanaCodigo}');" />

                            <p:spacer height="20"/>
                            <h:outputLabel value="Observaciones"
                                           styleClass="outputLabelStyle" for="observacionesText" />
                            <h:inputTextarea id="observacionesText" rows="5" cols="120"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.observaciones}" />
                        </h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:selectBooleanCheckbox  title="Incorporar nuevas manzanas"
                                                      value="#{clasificarManzanasYAreasParaLevantamientoTopografico.incorporarNuevasManzanas}" id="nuevasManzanasCheckBox" />
                            <h:outputLabel value="Incorporar nuevas manzanas"
                                           styleClass="outputLabelStyle" for="nuevasManzanasCheckBox" />

                            <h:selectBooleanCheckbox title="Digitalizar nuevas áreas"
                                                     value="#{clasificarManzanasYAreasParaLevantamientoTopografico.digitalizarNuevasAreas}" id="nuevasAreasCheckBox" />
                            <h:outputLabel value="Digitalizar nuevas áreas"
                                           styleClass="outputLabelStyle" for="nuevasAreasCheckBox" />
                        </h:panelGrid>
                        <p:spacer height="20"/>
                        <h:panelGrid columns="1">     
                            <p:commandButton value="Ordenar ajustes e identificación"                                             
                                             icon="ui-icon-document"
                                             process="@this,infoTable,nuevasManzanasCheckBox,nuevasAreasCheckBox,observacionesText" 
                                             action="#{clasificarManzanasYAreasParaLevantamientoTopografico.enviarCorreoOrdenAjuste}"/>                            
                        </h:panelGrid> 

                        <p:outputPanel layout="block" style="text-align:center">
                            <p:commandButton value="Finalizar"/>
                        </p:outputPanel>     
                    </p:fieldset>
                </p:tab>
                <p:tab title="Manzanas para levantamiento topográfico">
                    <p:fieldset toggleable="false">
                        <p:spacer height="8" width="0" />
                        <h:panelGrid columns="1">
                            <h:outputLabel value="Manzanas para levantamiento topográfico"
                                           styleClass="outputLabelStyle" />
                            <p:spacer height="30"  width="0"/>
                        </h:panelGrid>                     

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Manzanana inicial"/>
                            <h:outputLabel value="Manzanana final"/>                            

                            <h:panelGroup id="nPredial3"  >
                                <h:inputText id="s1p3"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS1}"
                                             size="1" maxlength="2" title="Departamento" immediate="true" />
                                <h:inputText id="s2p3"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS2}"
                                             size="3" maxlength="3" title="Municipio" />
                                <h:inputText id="s3p3"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS3}"
                                             size="2" maxlength="2" title="Zona" />
                                <h:inputText id="s4p3"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS4}"
                                             size="2" maxlength="2" title="Sector" />
                                <h:inputText id="s5p3"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS5}"
                                             size="2" maxlength="2" title="Comuna" />
                                <h:inputText id="s6p3"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS6}"
                                             size="2" maxlength="2" title="Barrio"/>
                                <h:inputText id="s7p3"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS7}"
                                             size="4" maxlength="4" title="Manzana o vereda"/>                                                
                            </h:panelGroup> 


                            <h:panelGroup id="nPredial4" >
                                <h:inputText id="s1p4"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS1}"
                                             size="1" maxlength="2" title="Departamento" />
                                <h:inputText id="s2p4"
                                             disabled="true"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS2}"
                                             size="3" maxlength="3" title="Municipio" />
                                <h:inputText id="s3p4"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS3}"
                                             size="2" maxlength="2" title="Zona" />
                                <h:inputText id="s4p4"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS4}"
                                             size="2" maxlength="2" title="Sector" />
                                <h:inputText id="s5p4"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS5}"
                                             size="2" maxlength="2" title="Comuna"/>
                                <h:inputText id="s6p4"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS6}"
                                             size="2" maxlength="2" title="Barrio" />
                                <h:inputText id="s7p4"
                                             value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS7}"
                                             size="4" maxlength="4" title="Manzana o vereda"/>                
                            </h:panelGroup>

                            <p:commandButton value="Buscar" icon="ui-icon-search" process="@this,nPredial3,nPredial4"
                                             action="#{clasificarManzanasYAreasParaLevantamientoTopografico.buscarManzanasPorRango}" >
                            </p:commandButton >
                            <p:spacer height="30"  width="0"/>
                        </h:panelGrid>   
                        <h:panelGrid width="40%">

                            <p:dataTable value="#{clasificarManzanasYAreasParaLevantamientoTopografico.listaAjusteManzanasLevantamiento}" 
                                         var="manzanaVarLevantamiento" id="manzanasLevantamiento"
                                         paginator="true" rows="10"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                         rowKey="#{manzanaVarLevantamiento.codigo}" emptyMessage="No se encontraron trámites"
                                         selection="#{clasificarManzanasYAreasParaLevantamientoTopografico.manzanasSeleccionadasLevantamiento}">

                                <p:column selectionMode="multiple" />

                                <p:column headerText="Manzanas / Áreas" filterBy="" sortBy="">
                                    <h:outputText styleClass="outputTextStyle"
                                                  value="#{manzanaVarLevantamiento.codigo}">
                                    </h:outputText>
                                </p:column>
                            </p:dataTable>
                            <p:commandButton value=" Mostrar selección" id="verMapa1"
                                             widgetVar="verMapaVar" immediate="true" type="button"
                                             icon="ui-icon-image"
                                             onclick="cargarMapaZoomToFeature('#{clasificarManzanasYAreasParaLevantamientoTopografico.applicationClientName}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.tokenParam}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.moduleLayer}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.moduleTools}', '#{clasificarManzanasYAreasParaLevantamientoTopografico.manzanaCodigo}');" />
                        </h:panelGrid>
                        <h:panelGrid columns="1">
                            <p:spacer height="40"  width="0"/>
                            <p:commandButton value="Incluir para levantamiento" action="#{clasificarManzanasYAreasParaLevantamientoTopografico.asignarParaLevantamiento}"
                                             oncomplete="asignacionOficioWV.show();" icon="ui-icon-document"
                                             process="@this">
                            </p:commandButton>
                            <p:spacer height="30"  width="0"/>
                            <p:commandButton value="Finalizar">

                            </p:commandButton>
                        </h:panelGrid>
                    </p:fieldset>                
                </p:tab>

                <p:tab title="Verificar manzanas" id="tabVerificarManzanas" >  
                    <h:panelGrid columns="2">
                        <h:outputLabel value="Manzanana inicial"/>
                        <h:outputLabel value="Manzanana final"/>                            

                        <h:panelGroup id="nPredial5"  >
                            <h:inputText id="s1p5"
                                         disabled="true"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS1}"
                                         size="1" maxlength="2" title="Departamento" immediate="true" />
                            <h:inputText id="s2p5"
                                         disabled="true"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS2}"
                                         size="3" maxlength="3" title="Municipio" />
                            <h:inputText id="s3p5"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS3}"
                                         size="2" maxlength="2" title="Zona" />
                            <h:inputText id="s4p5"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS4}"
                                         size="2" maxlength="2" title="Sector" />
                            <h:inputText id="s5p5"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS5}"
                                         size="2" maxlength="2" title="Comuna" />
                            <h:inputText id="s6p5"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS6}"
                                         size="2" maxlength="2" title="Barrio"/>
                            <h:inputText id="s7p5"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroInicial.numeroPredialS7}"
                                         size="4" maxlength="4" title="Manzana o vereda"/>                                                
                        </h:panelGroup> 


                        <h:panelGroup id="nPredial6" >
                            <h:inputText id="s1p6"
                                         disabled="true"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS1}"
                                         size="1" maxlength="2" title="Departamento" />
                            <h:inputText id="s2p6"
                                         disabled="true"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS2}"
                                         size="3" maxlength="3" title="Municipio" />
                            <h:inputText id="s3p6"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS3}"
                                         size="2" maxlength="2" title="Zona" />
                            <h:inputText id="s4p6"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS4}"
                                         size="2" maxlength="2" title="Sector" />
                            <h:inputText id="s5p6"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS5}"
                                         size="2" maxlength="2" title="Comuna"/>
                            <h:inputText id="s6p6"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS6}"
                                         size="2" maxlength="2" title="Barrio" />
                            <h:inputText id="s7p6"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.filtroFinal.numeroPredialS7}"
                                         size="4" maxlength="4" title="Manzana o vereda"/>                
                        </h:panelGroup>

                        <p:commandButton value="Buscar" icon="ui-icon-search" process="@this,nPredial3,nPredial4"
                                         action="#{clasificarManzanasYAreasParaLevantamientoTopografico.buscarManzanasPorRango}" >
                        </p:commandButton >
                        <p:spacer height="30"  width="0"/>
                    </h:panelGrid> 
                    <p:dataTable value="#{clasificarManzanasYAreasParaLevantamientoTopografico.ajusteManzanaAreaAsignadasResponsableActivo}" 
                                 var="ajusteArea" id="ajustes"
                                 paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                 rowKey="#{ajusteArea.identificador}" emptyMessage="No se encontraron ajustes"
                                 selection="#{clasificarManzanasYAreasParaLevantamientoTopografico.ajusteManzanaAreasSeleccionadas}">

                        <p:column selectionMode="multiple" />

                        <p:column headerText="Manzanas / Áreas" filterBy="" sortBy="">
                            <h:outputText styleClass="outputTextStyle"
                                          value="#{ajusteArea.identificador}">
                            </h:outputText>
                        </p:column>
                    </p:dataTable>
                    <h:panelGrid columns="2">
                        <p:commandButton value="Mostrar Seleccion"/>
                        <p:commandButton value="Incluir Para Levantamiento" action="#{clasificarManzanasYAreasParaLevantamientoTopografico.asignarAjusteParaLevantamiento}" />
                    </h:panelGrid>
                    <p:spacer height="40"/>
                    <h:panelGrid columns="2">
                        <p:commandButton value="Aprobar Ajustes" action="#{clasificarManzanasYAreasParaLevantamientoTopografico.guardaAjustesAprobados}"/>
                        <p:commandButton value="No Aprobar" action="#{clasificarManzanasYAreasParaLevantamientoTopografico.guardaAjustesNoAprobados}" />
                    </h:panelGrid>

                </p:tab>
            </p:tabView>
        </h:form>    
        <ui:remove>
            <p:dialog header="No aprobar" widgetVar="noAprobarWV" modal="true"
                      appendToBody="true"  position="center" width="360"
                      height="100">
                <h:form>
                    <h:panelGrid columns="2">
                        <h:outputLabel value="Observaciones" styleClass="outputLabelStyle"
                                       for="observacionesText1" />
                        <h:inputTextarea id="observacionesText1" rows="5" cols="50"
                                         value="#{clasificarManzanasYAreasParaLevantamientoTopografico.observacionesNoAprobado}" />
                        <p:commandButton value="Desaprobar" oncomplete="noAprobarWV.hide()"></p:commandButton>
                        <p:commandButton value="Cancelar" oncomplete="noAprobarWV.hide()"></p:commandButton>
                    </h:panelGrid>
                </h:form>
            </p:dialog>        
            <p:dialog header="Correo notificacion orden de ajuste"
                      dynamic="true" widgetVar="visorMensajesCorreo"
                      modal="true" appendToBody="true" resizable="true" position="center"
                      width="850" height="450">

                <actualizacion:envioCorreoActualizacionCC  id="visorMensajesCorreoElectronico" 
                                                           widgetVarName="visorMensajesCorreo" 
                                                           updateComponentsParam=":manzanasAreasSIGForm"/>
            </p:dialog>
        </ui:remove>
        <p:dialog  header="Rango de Manzanas" 
                   widgetVar="visorRangoDeManzanas" 
                   modal="true"
                   width ="700"
                   dynamic="true"
                   height="450"
                   resizable="true"
                   position="center"
                   appendToBody="true" >

            <h:form>
                <h:panelGrid width="100%">

                    <p:dataTable value="#{clasificarManzanasYAreasParaLevantamientoTopografico.listaManzanasEnRango}" 
                                 var="manzanaVarRango" 
                                 id="tablaRangoManzanas"
                                 paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                 rowKey="#{manzanaVarRango.codigo}" 
                                 emptyMessage="No se encontraron manzanas en el rango indicado."
                                 selection="#{clasificarManzanasYAreasParaLevantamientoTopografico.manzanasSeleccionadas}">  

                        <p:column selectionMode="multiple"/>

                        <p:column headerText="Manzanas / Áreas" filterBy="" sortBy="">
                            <h:outputText styleClass="outputTextStyle" value="#{manzanaVarRango.codigo}"/>
                        </p:column>                                            
                    </p:dataTable>                     
                </h:panelGrid>                
                <h:panelGrid columns="1">
                    <p:spacer height="40" width="0"/>
                    <p:commandButton value="Agregar para ajuste" />              
                </h:panelGrid>

            </h:form>

        </p:dialog>        
        <ui:include src="../../util/visorGeografico.xhtml" />        
    </ui:define>
</ui:composition>